Bug 191131

Summary: Netbinox does not load classes from external JARs
Product: platform Reporter: Tomas Pavek <tpavek>
Component: NetigsoAssignee: Jaroslav Tulach <jtulach>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: jglick, mmirilovic
Version: 6.x   
Target Milestone: 6.x   
Hardware: PC   
OS: Windows Vista   
Whiteboard: 69patch2-fixed
Issue Type: DEFECT Exception Report:

Description Tomas Pavek 2010-10-19 12:13:47 UTC
If a bundle has its classes in a separate (external) JAR, they are not found when requested from another bundle depending on it. The packages from the external JAR are missing in the packages map of ProxyClassLoader which then refuses to find them (i.e. when using NB module classloader).
Comment 1 Jaroslav Tulach 2010-10-19 12:29:40 UTC
Fixed in #2a7256f25cb2
Merged to release692 branch as 4137bbfbca99
Tested in http://source.apidesign.org/hg/netbinox/rev/ca871fa883ce
Comment 2 Jesse Glick 2010-10-19 15:01:24 UTC
Backed out in core-main #fb5c6b600c9f since it causes test failures (both on deadlock and for me locally).
Comment 3 Marian Mirilovic 2010-10-20 08:56:16 UTC
(In reply to comment #1)
> Fixed in #2a7256f25cb2
> Merged to release692 branch as 4137bbfbca99
> Tested in http://source.apidesign.org/hg/netbinox/rev/ca871fa883ce

Jarda, who approved this commit ? We are after CF for release692 and we are supposed to have final build today.

BTW: even worse with failing tests and back-out in core-main ;(
Comment 4 Jaroslav Tulach 2010-10-20 10:50:19 UTC
(In reply to comment #3)
> Jarda, who approved this commit ? 

Formally? Very likely nobody. Informally? Petr Suchomel.

> We are after CF for release692 and we are
> supposed to have final build today.

This is not what I heard by Petr yesterday. According to that information I have time till Thursday to integrate my changes (and I am working on next one - bug 191170)
Comment 5 Jaroslav Tulach 2010-10-20 12:31:53 UTC
The test in release692 has been fixed as part of 071aeefc4126 merge.
Comment 6 Marian Mirilovic 2010-10-21 09:00:52 UTC
Jarda, 
could you please help us with verification of this issue in NB 6.9.1 + patch 2 ? Thanks in advance.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo